TechDraw "Указать угловой размер"

From FreeCAD Documentation
Revision as of 14:19, 7 February 2021 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
Other languages:

TechDraw Dimension Angle

Системное название
TechDraw Dimension Angle
Расположение в меню
TechDraw → Dimension Angle
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
TechDraw Dimension Angle3Pt

Description

The Dimension Angle tool adds a angular dimension to a View. The dimension may be the interior angle between any two straight line edges. The angle will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension tool.

Measuring the angle between two straight lines

Usage

  1. Select the points or edge which define your measurement.
  2. Press the Dimension Angle button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described in this page.

To change the properties of a dimension object either double-clicking it in the drawing or in the Tree view. This will open the dimension dialog.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Angle tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)